LOCARNA_P(1)

NAME
locarna_p - manual page for locarna_p (LocARNA 1.9.2.3)

DESCRIPTION
locarna_p - pairwise partition function of RNA alignments.

Computes base and base pair match probabilities from alignment partitition functions.

USAGE: ../../src/locarna_p [options] <Input 1> <Input 2> locarna_p computes sequence and structure match probabilities from partition functions of locarna pairwise alignments, i.e. from fast simultaneous folding and alignment based on two RNA sequences (or alignments).

  Input and Constraints

Please see the documentation of locarna for inputs and the possible constraints specifications.

  Output

Probabilities of base and base pair matches can be written to files. (The total partition function is reported to standard out.)

OPTIONS

-h,--help

    Print this help.

-V,--version

    Print only version string.

-v,--verbose

    Be verbose. Prints input parameters, sequences and size information.

-q,--quiet

    Be quiet.

  Scoring parameters:

-i,--indel=<score>(-350)

    Indel score. Score contribution of each single base insertion or deletion. Indel opening score and indel score define the affine scoring of gaps.

--indel-opening=<score>(-500)

    Indel opening score. Score contribution of opening an insertion or deletion, i.e. score for a consecutive run of deletions or insertions. Indel opening score and indel score define the affine scoring of gaps.

--ribosum-file=<f>(RIBOSUM85_60)

    File specifying the Ribosum base and base-pair similarities. [default: use RIBOSUM85_60 without requiring a Ribosum file.]

--use-ribosum=<bool>(true)

    Use ribosum scores for scoring base matches and base pair matches; note that tau=0 suppresses any effect on the latter.

-m,--match=<score>(50)

    Set score contribution of a base match (unless ribosum scoring).

-M,--mismatch=<score>(0)

    Set score contribution of a base mismatch (unless ribosum scoring).

-s,--struct-weight=<score>(200)

    Maximal weight of 1/2 arc match. Balances structure vs. sequence score contributions.

-e,--exp-prob=<prob>

    Expected base pair probability. Used as background probability for base pair scoring [default: calculated from sequence length].

-t,--tau=<factor>(0)

    Tau factor. Factor for contribution of sequence similarity in an arc match (in percent). tau=0 does not penalize any sequence information including compensatory mutations at arc matches, while tau=100 scores sequence similarity at ends of base matches (if a scoring matrix like ribosum is used, this adds the contributions for base pair match from the matrix). [default tau=0!]

--temperature-alipf=<int>(150)

    Temperature for the /alignment/ partition functions (this temperature different from the 'physical' temperature of RNA folding!). It controls the probability distributions of computed base and arc match probabilities.

--pf-scale=<scale>(1.0)

    Factor for scaling the partition functions. Use in order to avoid overflow.

  Output:

--write-arcmatch-probs=<file>

    Write arcmatch probabilities

--write-basematch-probs=<file>

    Write basematch probabilities

-a,--min-am-prob=<amprob>(0.0005)

    Minimal arc match probability. Write probabilities for only the arc matchs of at least this probability.

-b,--min-bm-prob=<bmprob>(0.0005)

    Minimal base match probability. Write probabilities for only the base matchs of at least this probability.

--include-am-in-bm

    Include arc match cases in base match probabilities

--stopwatch

    Print run time informations.

  Heuristics for speed accuracy trade off:

-p,--min-prob=<prob>(0.0005)

    Minimal probability. Only base pairs of at least this probability are taken into account.

--max-bps-length-ratio=<factor>(0.0)

    Maximal ratio of #base pairs divided by sequence length. This serves as a second filter on the "significant" base pairs. [default: 0.0 = no effect].

-D,--max-diff-am=<diff>(-1)

    Maximal difference for sizes of matched arcs. [-1=off]

-d,--max-diff=<diff>(-1)

    Maximal difference for positions of alignment traces (and aligned bases). [-1=off]

--max-diff-at-am=<diff>(-1)

    Maximal difference for positions of alignment traces at arc match ends. [-1=off]

--max-diff-aln=<aln file>()

    Maximal difference relative to given alignment (file in clustalw format)

--max-diff-pw-aln=<alignment>()

    Maximal difference relative to given alignment (string, delim=AMPERSAND)

--max-diff-relax

    Relax deviation constraints in multiple aligmnent

  Computed probabilities:

--fragment-match-probs=<"i j k l">()

    Requests probabilities for the match of fragments [i..j] and [k..l]. Accepts a ';' separated list of ranges.

  Constraints:

--maxBPspan=<span>(-1)

    Limit maximum base pair span [default=off].

--relaxed-anchors

    Use relaxed semantics of anchor constraints [default=strict semantics].

  Input files:

    The tool is called with two input files <Input 1> and <Input 2>, which specify the two input sequences or input alignments. Different input formats (Fasta, Clustal, Stockholm, LocARNA PP, ViennaRNA postscript dotplots) are accepted and automatically recognized (by file content); the two input files can be in different formats. Extended variants of the Clustal and Stockholm formats enable specifying anchor and structure constraints.

EXAMPLES
Please see the documentation of locarna for call and input constraint examples.

DISCLAIMERS
locarna_p is a low level tool; most often this tool is used indirectly, by calling mlocarna with --probabilistic. Note that the performance of locarna_p (as well as basically all tools in the LocARNA package) is often significantly improved by the use of suitable application-specific options, deviating from the default settings.

AVAILABILITY
The latest LocARNA package release is available online at

    http://www.bioinf.uni-freiburg.de/Software/LocARNA/ and at Github https://github.com/s-will/LocARNA

COPYING (LICENSE)
Copyright 2005- Sebastian Will The LocARNA package is released under GNU Public License v3.0

REFERENCES
Sebastian Will, Tejal Joshi, Ivo L. Hofacker, Peter F. Stadler, and Rolf Backofen. LocARNA-P: Accurate boundary prediction and improved detection of structural RNAs. RNA, 18 no. 5 pp. 900-914, 2012. doi: 10.1261/rna.029041.111

AUTHOR
This man page is written and maintained by Sebastian Will it is part of the LocARNA package. First versions of locarna_p and its aligner class were written by Tejal Joshi.

REPORTING BUGS
Report bugs to <will (at) informatik.uni-freiburg.de>.